<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>OnMapRenderListener.OnMapRenderListenerAdapter (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OnMapRenderListener.OnMapRenderListenerAdapter (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OnMapRenderListener.OnMapRenderListenerAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/OperatingHours.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/OnMapRenderListener.OnMapRenderListenerAdapter.html" target="_top">Frames</a></li>
<li><a href="OnMapRenderListener.OnMapRenderListenerAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Class OnMapRenderListener.OnMapRenderListenerAdapter" class="title">Class OnMapRenderListener.OnMapRenderListenerAdapter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.OnMapRenderListener.OnMapRenderListenerAdapter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a></dd>
</dl>
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a></dd>
</dl>
<hr>
<br>
<pre>public abstract static class <span class="typeNameLabel">OnMapRenderListener.OnMapRenderListenerAdapter</span>
extends java.lang.Object
implements <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a></pre>
<div class="block">Default implementation for the OnMapRenderListener interface. Users may use this
 abstract class and overload specific methods to have a smaller code footprint.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><code>OnMapRenderListener</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.here.android.mpa.mapping.OnMapRenderListener">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a></h3>
<code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.OnMapRenderListenerAdapter.html" title="class in com.here.android.mpa.mapping">OnMapRenderListener.OnMapRenderListenerAdapter</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.OnMapRenderListenerAdapter.html#OnMapRenderListenerAdapter--">OnMapRenderListenerAdapter</a></span>()</code> </td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.OnMapRenderListenerAdapter.html#onGraphicsDetached--">onGraphicsDetached</a></span>()</code>
<div class="block">Callback indicating that the map renderer has been cleanly detached from the view.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.OnMapRenderListenerAdapter.html#onPostDraw-boolean-long-">onPostDraw</a></span>(boolean invalidated,
          long renderTime)</code>
<div class="block">Callback indicating that a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> drawing event has ended.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.OnMapRenderListenerAdapter.html#onPreDraw--">onPreDraw</a></span>()</code>
<div class="block">Callback indicating that a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> drawing event is about to occur.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.OnMapRenderListenerAdapter.html#onRenderBufferCreated--">onRenderBufferCreated</a></span>()</code>
<div class="block">Callback indicating that the map render buffer has been created.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.OnMapRenderListenerAdapter.html#onSizeChanged-int-int-">onSizeChanged</a></span>(int width,
             int height)</code>
<div class="block">Callback indicating that a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> size has changed following
 a rotation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OnMapRenderListenerAdapter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OnMapRenderListenerAdapter</h4>
<pre>public OnMapRenderListenerAdapter()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onPreDraw--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPreDraw</h4>
<pre>public void onPreDraw()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onPreDraw--">OnMapRenderListener</a></code></span></div>
<div class="block">Callback indicating that a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> drawing event is about to occur. Applications can
 perform custom rendering when this callback is sent.
 <p>
 This callback is preferred to <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onPostDraw-boolean-long-"><code>OnMapRenderListener.onPostDraw(boolean, long)</code></a> when making changes to
 <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a>s as the changes can be made during the upcoming draw and another <code>Map</code>
 invalidation will not need to take place.
 </p>
 <p>
 Note: This callback is made on the rendering thread.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onPreDraw--">onPreDraw</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a></code></dd>
</dl>
</li>
</ul>
<a name="onPostDraw-boolean-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPostDraw</h4>
<pre>public void onPostDraw(boolean invalidated,
                       long renderTime)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onPostDraw-boolean-long-">OnMapRenderListener</a></code></span></div>
<div class="block">Callback indicating that a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> drawing event has ended.
 Applications can perform custom rendering when this callback is sent.
 <p>
 Note: This callback is made on the rendering thread.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onPostDraw-boolean-long-">onPostDraw</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invalidated</code> - A <code>boolean</code> specifying whether the map is
                    invalidated and will redraw</dd>
<dd><code>renderTime</code> - The time taken to render the map</dd>
</dl>
</li>
</ul>
<a name="onSizeChanged-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSizeChanged</h4>
<pre>public void onSizeChanged(int width,
                          int height)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onSizeChanged-int-int-">OnMapRenderListener</a></code></span></div>
<div class="block">Callback indicating that a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> size has changed following
 a rotation. Applications can perform custom rendering when this callback
 is sent.
 <p>
 Note: This callback is made on the UI thread.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onSizeChanged-int-int-">onSizeChanged</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - A post-rotation width</dd>
<dd><code>height</code> - A post-rotation height</dd>
</dl>
</li>
</ul>
<a name="onGraphicsDetached--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onGraphicsDetached</h4>
<pre>public void onGraphicsDetached()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onGraphicsDetached--">OnMapRenderListener</a></code></span></div>
<div class="block">Callback indicating that the map renderer has been cleanly detached from the view.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onGraphicsDetached--">onGraphicsDetached</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a></code></dd>
</dl>
</li>
</ul>
<a name="onRenderBufferCreated--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onRenderBufferCreated</h4>
<pre>public void onRenderBufferCreated()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onRenderBufferCreated--">OnMapRenderListener</a></code></span></div>
<div class="block">Callback indicating that the map render buffer has been created.
 <p>
 Note: This callback is made on the rendering thread.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onRenderBufferCreated--">onRenderBufferCreated</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OnMapRenderListener.OnMapRenderListenerAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/OperatingHours.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/OnMapRenderListener.OnMapRenderListenerAdapter.html" target="_top">Frames</a></li>
<li><a href="OnMapRenderListener.OnMapRenderListenerAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
